Create dataset version
curl --request POST \
--url https://acusight.io/api/data/projects/{id}/datasets/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"augmentation": [
{
"config": [
123
],
"id": "<string>"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [
123
],
"id": "<string>"
}
]
},
"limit": 123
}
'import requests
url = "https://acusight.io/api/data/projects/{id}/datasets/versions"
payload = {
"name": "<string>",
"config": {
"augmentation": [
{
"config": [123],
"id": "<string>"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [123],
"id": "<string>"
}
]
},
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
augmentation: [{config: [123], id: '<string>'}],
augmentation_multiplier: 123,
augmentation_seed: 123,
config_version: 123,
metadata: {},
preprocessing: [{config: [123], id: '<string>'}]
},
limit: 123
})
};
fetch('https://acusight.io/api/data/projects/{id}/datasets/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/projects/{id}/datasets/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'augmentation' => [
[
'config' => [
123
],
'id' => '<string>'
]
],
'augmentation_multiplier' => 123,
'augmentation_seed' => 123,
'config_version' => 123,
'metadata' => [
],
'preprocessing' => [
[
'config' => [
123
],
'id' => '<string>'
]
]
],
'limit' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/projects/{id}/datasets/versions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/data/projects/{id}/datasets/versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/projects/{id}/datasets/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"job_id": "<string>",
"message": "<string>",
"status": "<string>"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Datasets & data
Create dataset version
Validates the working dataset and enqueues an asynchronous job to create a new dataset version.
POST
/
data
/
projects
/
{id}
/
datasets
/
versions
Create dataset version
curl --request POST \
--url https://acusight.io/api/data/projects/{id}/datasets/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"augmentation": [
{
"config": [
123
],
"id": "<string>"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [
123
],
"id": "<string>"
}
]
},
"limit": 123
}
'import requests
url = "https://acusight.io/api/data/projects/{id}/datasets/versions"
payload = {
"name": "<string>",
"config": {
"augmentation": [
{
"config": [123],
"id": "<string>"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [123],
"id": "<string>"
}
]
},
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
augmentation: [{config: [123], id: '<string>'}],
augmentation_multiplier: 123,
augmentation_seed: 123,
config_version: 123,
metadata: {},
preprocessing: [{config: [123], id: '<string>'}]
},
limit: 123
})
};
fetch('https://acusight.io/api/data/projects/{id}/datasets/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/projects/{id}/datasets/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'augmentation' => [
[
'config' => [
123
],
'id' => '<string>'
]
],
'augmentation_multiplier' => 123,
'augmentation_seed' => 123,
'config_version' => 123,
'metadata' => [
],
'preprocessing' => [
[
'config' => [
123
],
'id' => '<string>'
]
]
],
'limit' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/projects/{id}/datasets/versions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/data/projects/{id}/datasets/versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/projects/{id}/datasets/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"augmentation\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ],\n \"augmentation_multiplier\": 123,\n \"augmentation_seed\": 123,\n \"config_version\": 123,\n \"metadata\": {},\n \"preprocessing\": [\n {\n \"config\": [\n 123\n ],\n \"id\": \"<string>\"\n }\n ]\n },\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"job_id": "<string>",
"message": "<string>",
"status": "<string>"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Project ID
Body
application/json
Dataset version payload
Was this page helpful?